activemq-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré (JIRA) <j...@apache.org>
Subject [jira] [Commented] (AMQ-5770) activemq-web-console feature doesn't install in Karaf 4 SNAPSHOT
Date Wed, 17 Jun 2015 19:16:00 GMT

    [ https://issues.apache.org/jira/browse/AMQ-5770?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14590387#comment-14590387
] 

Jean-Baptiste Onofré commented on AMQ-5770:
-------------------------------------------

Fixed on activemq-5.10.x: https://git-wip-us.apache.org/repos/asf?p=activemq.git;a=commitdiff;h=3049623f99ec3c9b9bc2ed7d8b8289da9f4abc7f

> activemq-web-console feature doesn't install in Karaf 4 SNAPSHOT
> ----------------------------------------------------------------
>
>                 Key: AMQ-5770
>                 URL: https://issues.apache.org/jira/browse/AMQ-5770
>             Project: ActiveMQ
>          Issue Type: Bug
>          Components: webconsole
>    Affects Versions: 5.11.1, 5.12.0
>            Reporter: Bernhard Schuhmann
>            Assignee: Jean-Baptiste Onofré
>            Priority: Minor
>             Fix For: 5.10.3, 5.11.2, 5.12.0
>
>         Attachments: AMQ-5770.patch
>
>
> {{feature:install activemq-web-console}} fails with
> {noformat} 
> Error executing command: Unable to resolve root: missing requirement [root] osgi.identity;
osgi.identity=activemq-web-console; type=ka
> raf.feature; version="[5.12.0.SNAPSHOT,5.12.0.SNAPSHOT]"; filter:="(&(osgi.identity=activemq-web-console)(type=karaf.feature)(version>
> =5.12.0.SNAPSHOT)(version<=5.12.0.SNAPSHOT))" [caused by: Unable to resolve activemq-web-console/5.12.0.SNAPSHOT:
missing requirement 
> [activemq-web-console/5.12.0.SNAPSHOT] osgi.identity; osgi.identity=org.apache.activemq.activemq-web-console;
type=osgi.bundle; versio
> n="[5.12.0.SNAPSHOT,5.12.0.SNAPSHOT]"; resolution:=mandatory [caused by: Unable to resolve
org.apache.activemq.activemq-web-console/5.
> 12.0.SNAPSHOT: missing requirement [org.apache.activemq.activemq-web-console/5.12.0.SNAPSHOT]
osgi.wiring.package; filter:="(&(osgi.wi
> ring.package=javax.servlet.resources)(version>=2.5.0)(!(version>=4.0.0)))"]]
> {noformat}
> As this package seems not to be used in the web console, an it not be removed? I've tested
locally with this change
> {noformat}
> diff --git a/activemq-web-console/pom.xml b/activemq-web-console/pom.xml
> index 1f1e641..4bdbe51 100755
> --- a/activemq-web-console/pom.xml
> +++ b/activemq-web-console/pom.xml
> @@ -142,7 +142,6 @@
>                org.w3c.dom,
>                javax.servlet;version="[2.5,4)",
>                javax.servlet.http;version="[2.5,4)",
> -              javax.servlet.resources;version="[2.5,4)",
>                javax.servlet.jsp,
>                javax.servlet.jsp.tagext,
>                javax.servlet.jsp.el,
> {noformat}
> And web console works if ActiveMQ is started standalone and deployed into Karaf 4.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message